Get apptemplate
curl --request GET \
--url https://api.gcore.com/cloud/v1/apptemplates/{project_id}/{region_id}/{apptemplate_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/apptemplates/{project_id}/{region_id}/{apptemplate_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/apptemplates/{project_id}/{region_id}/{apptemplate_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"app_config": [
{
"description": "tf2_hostname.description",
"label": "tf2_hostname.label",
"name": "tf2_hostname",
"required": true,
"type": "string"
}
],
"category": "gaming",
"description": "tf2server.description",
"developer": "Team Fortress 2 team",
"display_name": "Team Fortress 2 server",
"id": "tf2server",
"image_name": "ubuntu-20.04-x64",
"min_disk": 30,
"min_ram": 16,
"min_vcpus": 4,
"os_name": "Ubuntu 20.04",
"os_version": 20.04,
"region_id": 1,
"short_description": "tf2server.short_description",
"usage": "tf2server.usage",
"version": "latest",
"website": "www.tf2server.com"
}Instances
Get apptemplate
GET
/
cloud
/
v1
/
apptemplates
/
{project_id}
/
{region_id}
/
{apptemplate_id}
Get apptemplate
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
App template ID
Example:
"tf2server"
Response
200 - application/json
OK
app_config
(AppTemplateConfigSerializer · object | AppTemplateConfigWithDefaultSerializer · object)[] | null
required
Config
- AppTemplateConfigSerializer
- AppTemplateConfigWithDefaultSerializer
Show child attributes
Show child attributes
Application category
Example:
"gaming"
Description
Example:
"tf2server.description"
Developer name
Example:
"Team Fortress 2 team"
Application display name
Example:
"Team Fortress 2 server"
Application id
Example:
"tf2server"
Image used to deploy the application
Example:
"ubuntu-20.04-x64"
Application disk requirements
Example:
30
Application RAM requirements
Example:
16
Application VCPUs requirements
Example:
4
OS name
Example:
"Ubuntu 20.04"
OS version
Example:
20.04
Region id
Example:
1
Short description
Example:
"tf2server.short_description"
Usage
Example:
"tf2server.usage"
Application version
Example:
"latest"
Application website
Example:
"www.tf2server.com"
Was this page helpful?